geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Lin Sun (JIRA)" <j...@apache.org>
Subject [jira] Resolved: (GERONIMO-4230) When installing a plugin that is already existed, we still give people confusing missingDependency message
Date Tue, 23 Sep 2008 17:19:44 GMT

     [ https://issues.apache.org/jira/browse/GERONIMO-4230?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Lin Sun resolved GERONIMO-4230.
-------------------------------

    Resolution: Fixed

This is fixed by rev698248.   Tested with both gshell and command line deployer that the confusing
message is removed.

lin-suns-macbook-pro:bin linsun$ ./deploy.sh install-plugin ~/.m2/repository/org/apache/geronimo/daytrader/daytrader-jms/2.2-SNAPSHOT/daytrader-jms-2.2-SNAPSHOT.car

Using GERONIMO_BASE:   /Users/linsun/gtrunk/assemblies/geronimo-tomcat6-javaee5/target/assembly
Using GERONIMO_HOME:   /Users/linsun/gtrunk/assemblies/geronimo-tomcat6-javaee5/target/assembly
Using GERONIMO_TMPDIR: var/temp
Using JRE_HOME:        /System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Home
Checking for status every 1000ms:
Installation FAILED: Configuration
org.apache.geronimo.daytrader/daytrader-jms/2.2-SNAPSHOT/car is already
installed.



> When installing a plugin that is already existed, we still give people confusing missingDependency
message
> ----------------------------------------------------------------------------------------------------------
>
>                 Key: GERONIMO-4230
>                 URL: https://issues.apache.org/jira/browse/GERONIMO-4230
>             Project: Geronimo
>          Issue Type: Improvement
>      Security Level: public(Regular issues) 
>          Components: Plugins
>    Affects Versions: 2.1.2, 2.1.3, 2.2
>            Reporter: Lin Sun
>            Assignee: Lin Sun
>            Priority: Minor
>             Fix For: 2.2
>
>
> For example, when I install the daytrader-streamer-client onto my server without knowing
the module is already installed, the deployer gave me the following message:
> lin-suns-macbook-pro:bin linsun$ java install-plugin ~/daytrader/daytrader-tomcat/target/daytrader-streamer-client-2.2-SNAPSHOT.car

> Listening for transport dt_socket at address: 8011
> Checking for status every 1000ms:
> Installation FAILED: Configuration org.apache.geronimo.daytrader/daytrader-streamer-client/2.2-SNAPSHOT/car
is already installed.
> Missing dependency:
> org.apache.geronimo.daytrader/daytrader-streamer-client/2.2-SNAPSHOT/car
> The Missing Dependency message is rather confusing and should be removed.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message